package de.ozgcloud.eingang.xta;

import java.util.List;

import de.ozgcloud.eingang.common.formdata.IncomingFile;
import de.ozgcloud.eingang.common.formdata.IncomingFileGroup;
import de.ozgcloud.eingang.common.formdata.IncomingFileGroupTestFactory;
import de.ozgcloud.eingang.common.formdata.IncomingFileTestFactory;

class RepresentationsAttachmentsPairTestFactory {

	static List<IncomingFile> PAIR_REPRESENTATIONS = List.of(
			IncomingFileTestFactory.createBuilder().name("representation1.xml").build(),
			IncomingFileTestFactory.createBuilder().name("representation1.pdf").build()
	);

	static List<IncomingFileGroup> PAIR_ATTACHMENTS = List.of(
			IncomingFileGroupTestFactory.create(),
			IncomingFileGroupTestFactory.create(),
			IncomingFileGroupTestFactory.create()
	);

	static RepresentationsAttachmentsPair create() {
		return createBuilder().build();
	}

	static RepresentationsAttachmentsPair.RepresentationsAttachmentsPairBuilder createBuilder() {
		return RepresentationsAttachmentsPair.builder()
				.representations(PAIR_REPRESENTATIONS)
				.attachments(PAIR_ATTACHMENTS);
	}
}
